import axios from '@/request/http'; // 导入http中创建的axios实例
import qs from 'qs'; // 根据需求是否导入qs模块

const workbench = {
    fwzcFwcs(params) {
        return axios.post(`/apaas/service/v3/service/manager/test`, params);
    },
    serviceAdd(params) {
        return axios.post(`/apaas/service/v3/service/manager`, params)
    },

    // service area
    getServiceAreaList() {
        return axios.get(`/apaas/service/v3/service/manager/servarea`)
    },

    // service type
    getServiceTypeList() {
        return axios.get(`/apaas/service/v3/service/manager/servtype`)
    },

    // get application introduction
    getAppIntroduction(params) {
        return axios.get(`/apaas/hubApi/market/app/detail/${params.app_id}?deploy_id=${params.deploy_id}`)
    },
    // get application params
    getAppParams(params) {
        return axios.get(`/apaas/hubApi/market/values/${params.app_id}`)
    },
}

export default workbench;
